Name:           xorgxrdp
Version:        0.9.19
Release:    1%{?dist}
Summary:        Implementation of xrdp backend as Xorg modules

License:        MIT
URL:            https://github.com/neutrinolabs/xorgxrdp
Source0:        https://github.com/neutrinolabs/xorgxrdp/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  nasm
BuildRequires:  xorg-x11-server-devel
BuildRequires:  xrdp-devel >= 0.9.17
BuildRequires:  libXfont-devel

BuildRequires:  mesa-libgbm-devel
BuildRequires:  libepoxy-devel
BuildRequires:  libdrm-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool


Requires:       Xorg %(xserver-sdk-abi-requires videodrv 2>/dev/null)
Requires:       Xorg %(xserver-sdk-abi-requires xinput 2>/dev/null)

%package glamor
Summary:        Implementation of xrdp backend as Xorg modules with glamor
RemovePathPostfixes: .glamor

Requires:       Xorg %(xserver-sdk-abi-requires videodrv 2>/dev/null)
Requires:       Xorg %(xserver-sdk-abi-requires xinput 2>/dev/null)

%description
xorgxrdp is a set of X11 modules that make Xorg act as a backend for
xrdp. Xorg with xorgxrdp is the most advanced xrdp backend with support
for screen resizing and multiple monitors.

%description glamor
xorgxrdp is a set of X11 modules that make Xorg act as a backend for
xrdp. Xorg with xorgxrdp is the most advanced xrdp backend with support
for screen resizing and multiple monitors. Built with glamor support.

%prep
%autosetup -p1

%build
autoreconf -i

CFLAGS="$RPM_OPT_FLAGS -I/usr/include/libdrm" \
%configure --enable-glamor
%make_build

%{__mv} xrdpdev/.libs/xrdpdev_drv.so xrdpdev_drv.so.glamor
%{__mv} xrdpkeyb/.libs/xrdpkeyb_drv.so xrdpkeyb_drv.so.glamor
%{__mv} xrdpmouse/.libs/xrdpmouse_drv.so xrdpmouse_drv.so.glamor
%{__mv} module/.libs/libxorgxrdp.so libxorgxrdp.so.glamor

%{__make} clean

%configure
%make_build

%install
%make_install

%{__install} -p xrdpdev_drv.so.glamor %{buildroot}%{_libdir}/xorg/modules/drivers
%{__install} -p xrdpkeyb_drv.so.glamor %{buildroot}%{_libdir}/xorg/modules/input
%{__install} -p xrdpmouse_drv.so.glamor %{buildroot}%{_libdir}/xorg/modules/input
%{__install} -p libxorgxrdp.so.glamor %{buildroot}%{_libdir}/xorg/modules
%{__sed} '/^[[:blank:]]*Load "xorgxrdp"/i\    Load "glamoregl"' \
         %{buildroot}%{_sysconfdir}/X11/xrdp/xorg.conf > \
         %{buildroot}%{_sysconfdir}/X11/xrdp/xorg.conf.glamor

%files
%license COPYING
%doc README.md
%dir %{_sysconfdir}/X11/xrdp
%{_sysconfdir}/X11/xrdp/xorg.conf
%{_libdir}/xorg/modules/drivers/xrdpdev_drv.so
%{_libdir}/xorg/modules/input/xrdpkeyb_drv.so
%{_libdir}/xorg/modules/input/xrdpmouse_drv.so
%{_libdir}/xorg/modules/libxorgxrdp.so
%exclude %{_libdir}/xorg/modules/*.a
%exclude %{_libdir}/xorg/modules/*.la
%exclude %{_libdir}/xorg/modules/input/*.a
%exclude %{_libdir}/xorg/modules/input/*.la
%exclude %{_libdir}/xorg/modules/drivers/*.a
%exclude %{_libdir}/xorg/modules/drivers/*.la

%files glamor
%license COPYING
%doc README.md
%dir %{_sysconfdir}/X11/xrdp
%{_sysconfdir}/X11/xrdp/xorg.conf.glamor
%{_libdir}/xorg/modules/drivers/xrdpdev_drv.so.glamor
%{_libdir}/xorg/modules/input/xrdpkeyb_drv.so.glamor
%{_libdir}/xorg/modules/input/xrdpmouse_drv.so.glamor
%{_libdir}/xorg/modules/libxorgxrdp.so.glamor
%exclude %{_libdir}/xorg/modules/*.a
%exclude %{_libdir}/xorg/modules/*.la
%exclude %{_libdir}/xorg/modules/input/*.a
%exclude %{_libdir}/xorg/modules/input/*.la
%exclude %{_libdir}/xorg/modules/drivers/*.a
%exclude %{_libdir}/xorg/modules/drivers/*.la

%changelog
* Tue Jul 02 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.19-1
- initial build
